Bug 975013 - [abrt] kernel BUG at drivers/scsi/scsi_lib.c:1196!
[abrt] kernel BUG at drivers/scsi/scsi_lib.c:1196!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:9d5b1d1eeee798d057e63b18e68...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 08:14 EDT by Andy Lawrence
Modified: 2013-10-08 13:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 13:11:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (96.35 KB, text/plain)
2013-06-17 08:14 EDT, Andy Lawrence
no flags Details

  None (edit)
Description Andy Lawrence 2013-06-17 08:14:19 EDT
Description of problem:
Possibly caused by mounting an XFS volume.

Additional info:
reporter:       libreport-2.1.4
kernel BUG at drivers/scsi/scsi_lib.c:1196!
invalid opcode: 0000 [#1] SMP 
Modules linked in: xfs libcrc32c rfcomm fuse ebtable_nat nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack bnep bluetooth rfkill ebtable_filter ebtables ip6table_filter ip6_tables raid456 async_raid6_recov async_memcpy async_pq acpi_cpufreq mperf coretemp kvm_intel kvm raid6_pq async_xor crc32_pclmul crc32c_intel xor iTCO_wdt async_tx ghash_clmulni_intel iTCO_vendor_support microcode i2c_i801 joydev e1000e igb lpc_ich ptp dca mfd_core shpchp pps_core video uinput i2c_algo_bit drm_kms_helper ttm drm mpt2sas raid_class i2c_core scsi_transport_sas
CPU: 4 PID: 518 Comm: md127_raid6 Not tainted 3.10.0-0.rc5.git0.1.fc20.x86_64 #1
Hardware name: Supermicro X10SLM-F/X10SLM-F, BIOS 1.00 04/25/2013
task: ffff880801a74680 ti: ffff8807f8c7e000 task.ti: ffff8807f8c7e000
RIP: 0010:[<ffffffff814092f2>]  [<ffffffff814092f2>] scsi_setup_fs_cmnd+0x92/0xa0
RSP: 0018:ffff8807f8c7fbe0  EFLAGS: 00010046
RAX: 0000000000000000 RBX: ffff8807ff038000 RCX: 0000000000000000
RDX: 0000000000000001 RSI: ffff8808024238f8 RDI: ffff8807ff038000
RBP: ffff8807f8c7fbf0 R08: 0000000000008000 R09: 0000000000000000
R10: 00000000ec52bc88 R11: 0000000000000040 R12: ffff8808024238f8
R13: 0000000000000001 R14: ffff8807ff038000 R15: ffff88080157cc00
FS:  0000000000000000(0000) GS:ffff88082fd00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f85d6c58008 CR3: 0000000001c0c000 CR4: 00000000001407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Stack:
 ffff8808024238f8 ffff8807ff030820 ffff8807f8c7fc58 ffffffff81417300
 ffff8808024238f8 ffff8807f8c7fc38 ffffffff812dff0c 0000000000000040
 00000000ec52bc88 0000000000000000 ffff8807ff030820 ffff8808024238f8
Call Trace:
 [<ffffffff81417300>] sd_prep_fn+0x340/0xf90
 [<ffffffff812dff0c>] ? cfq_add_rq_rb+0x7c/0xa0
 [<ffffffff812c7162>] blk_peek_request+0x132/0x250
 [<ffffffff8140a21f>] scsi_request_fn+0x4f/0x520
 [<ffffffff812c48d3>] __blk_run_queue+0x33/0x40
 [<ffffffff812c4a7a>] queue_unplugged+0x2a/0x90
 [<ffffffff812c752d>] blk_flush_plug_list+0x15d/0x1f0
 [<ffffffff812c7984>] blk_finish_plug+0x14/0x40
 [<ffffffffa025defd>] raid5d+0x4fd/0x570 [raid456]
 [<ffffffff814c5fed>] md_thread+0x12d/0x170
 [<ffffffff81081830>] ? wake_up_bit+0x30/0x30
 [<ffffffff814c5ec0>] ? rdev_attr_show+0x90/0x90
 [<ffffffff81080aa0>] kthread+0xc0/0xd0
 [<ffffffff810809e0>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8164fbac>] ret_from_fork+0x7c/0xb0
 [<ffffffff810809e0>] ? insert_kthread_work+0x40/0x40
Code: c3 48 8b 00 48 85 c0 74 b7 48 8b 40 48 48 85 c0 74 ae 4c 89 e6 48 89 df ff d0 85 c0 74 a2 eb dc b8 02 00 00 00 0f 1f 40 00 eb d1 <0f> 0b 66 66 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 55 48 
RIP  [<ffffffff814092f2>] scsi_setup_fs_cmnd+0x92/0xa0
 RSP <ffff8807f8c7fbe0>
Comment 1 Andy Lawrence 2013-06-17 08:14:24 EDT
Created attachment 762013 [details]
File: dmesg
Comment 2 Josh Boyer 2013-09-18 16:25:02 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 13:11:08 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.